Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class JimiRasterImageHandle

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiImageHandle
            |
            +--com.sun.jimi.core.raster.JimiRasterImageHandle

public class JimiRasterImageHandle
extends JimiImageHandle
implements JimiRasterImage

Handle to act as a non-blocking "Future" for raster images

Field Summary
`JimiRasterImage` | `rasterImage`

Fields inherited from class com.sun.jimi.core.JimiImageHandle
`error, image, producerProxy`

Constructor Summary
`JimiRasterImageHandle()`

Method Summary
`protected void` | `ensureRasterImageSet()`
`int` | `getHeight()`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRowRGB(int y, int[] buffer, int offset)`
`int` | `getWidth()`
`void` | `setRasterImage(JimiRasterImage rasterImage)`

Methods inherited from class com.sun.jimi.core.JimiImageHandle
`getFactory, getImageProducer, getOptions, getWrappedJimiImage, isError, isImageSet, setJimiImage, setOptions, waitFinished, waitImageSet, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rasterImage

    public JimiRasterImage rasterImage

Constructor Detail

### JimiRasterImageHandle

    public JimiRasterImageHandle()

Method Detail

### getWidth

    public int getWidth()

  Specified by:
    getWidth in interface JimiRasterImage

### getHeight

    public int getHeight()

  Specified by:
    getHeight in interface JimiRasterImage

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

  Specified by:
    getRectangleRGB in interface JimiRasterImage

### getRowRGB

    public void getRowRGB(int y,
                          int[] buffer,
                          int offset)
                   throws ImageAccessException

  Specified by:
    getRowRGB in interface JimiRasterImage

### ensureRasterImageSet

    protected void ensureRasterImageSet()
                                 throws ImageAccessException

### setRasterImage

    public void setRasterImage(JimiRasterImage rasterImage)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD